Bug 149171 - Lock up modprobing uchi-hcd usb after udev is started
Lock up modprobing uchi-hcd usb after udev is started
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
NeedsRetesting
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-19 18:35 EST by Sitsofe Wheeler
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-24 12:07:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2005-02-19 18:35:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041009 Firefox/1.0

Description of problem:
I have access to a server that locks hard (PS2 keyboard stops responding, prompt never returns, boot gets no further) when USB2 is enabled on FC3 (there were no lockups with FC1). I finally traced this down to being some sort of interaction between udev and USB2.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.766

How reproducible:
Always

Steps to Reproduce:
1. Boot the kernel with init=/bin/sh
2. mount -n -t proc /proc /proc
3. mount -n -t sysfs /sys /sys
4. /sbin/start_udev
5. /sbin/modprobe uhci-hcd

Actual Results:  The machine will hang and not get any further nor will it respond to a
ctrl-alt-del or sysrq commands.

Expected Results:  Boot to continue normally.

Additional info:

Modprobing uhci-hcd before starting udev causes the problem to disappear
as does disabling USB2 (but leaving USB1 on) in the BIOS. Kernels tested
are kernel-2.6.9-1.667 and kernel-2.6.10-1.766_FC3. lspci prints the
following:
00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 03)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
00:07.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 16)
00:07.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
00:07.5 Multimedia audio controller: VIA Technologies, Inc. VT82C686 AC97 Audio Controller (rev 50)
00:08.0 VGA compatible controller: S3 Inc. 86c325 [ViRGE] (rev 06)
00:0a.0 Ethernet controller: VIA Technologies, Inc. VT86C100A [Rhine] (rev 06)
00:0b.0 Multimedia video controller: Brooktree Corporation Bt848 Video Capture (rev 12)
00:0c.0 Multimedia video controller: Brooktree Corporation Bt849A Video capture (rev 12)

Might be related to bug #138916 or bug #143779
Comment 1 Sitsofe Wheeler 2005-03-02 03:43:40 EST
Further to Harald's comment on the mailing list
(http://www.redhat.com/archives/fedora-devel-list/2005-February/msg00957.html )
I added set -x after the comments at the top of /sbin/start_udev . The script
ran fine and completed in its entirity as it always has making me wonder if I
had not clearly stated that the hang happens AFTER /sbin/modprobe uhci-hcd and
not after/within /sbin/start_udev .

However /sbin/start_udev is clearly causing something to happen within the
kernel which changes it's behaviour when the USB hub is enumerated. I tried
booting with the usual assortment of cmdline options but none of the following
helped:
noacpi
noapic
nolapic
pci=noapic (this was mentioned bug #138916 but caused to kernel to moan that
noapic was not an understood parameter to pci)
pci=routeirq

nousb DID work but obviously usb was disabled in its entirity.
Comment 2 Sitsofe Wheeler 2005-03-02 03:47:12 EST
I will alos note that no USB devices are plugged into the machine during boot
and plugging in a USB keyboard does not change the outcome.
Comment 3 Harald Hoyer 2005-03-02 05:12:15 EST
well, maybe it interferes with another module, that was loaded by
start_udev/hotplug events... maybe the output of /sbin/lsmod just before the
"/sbin/modprobe uhci-hcd" shows some differences?
Comment 4 Sitsofe Wheeler 2005-03-20 04:26:03 EST
I had someone test this out and apparently there is no difference in the modules
loaded. The word baffling springs to mind.
Comment 5 Sitsofe Wheeler 2005-05-26 03:51:07 EDT
This could well be a dup of bug #138523
Comment 6 Sitsofe Wheeler 2005-05-26 04:04:06 EDT
May also be related to bug #154650
Comment 7 Sitsofe Wheeler 2005-05-26 04:12:10 EDT
Still here with 2.6.11-1.27_FC3
Comment 8 Sitsofe Wheeler 2005-06-14 14:26:13 EDT
I tried testing with a the following as /sbin/modprobe:
#!/bin/bash
echo $@
sleep 1
/sbin/modprobe.real $@

But there was no real difference. After doing step 5. uhci-hcd was printed and
then the prompt returned for a second or two before the computer locked solid.
Comment 9 Dave Jones 2005-07-15 15:38:43 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 10 Sitsofe Wheeler 2005-08-01 14:33:55 EDT
The server isn't likely to go to FC4 (more likely it will go to FC5 when it is
out). I *will* update this bug but I'm writing this comment so that people know
this isn't a hit and run.
Comment 11 Sitsofe Wheeler 2005-10-20 18:52:49 EDT
Still here in 2.6.12-1.1380_FC3 and the old workaround of starting
/sbin/start_udev after the modprobe no longer works (i.e. loading the module
seems to be the killer).
Comment 12 Dave Jones 2006-01-16 17:18:29 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 13 Dave Jones 2006-02-03 01:38:42 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 14 John Thacker 2006-05-04 08:48:06 EDT
Closing per previous comment.
Comment 15 Sitsofe Wheeler 2006-05-07 06:53:15 EDT
I'm going to reopen this because the server that is running FC3 is finally going
to be retired from serving duty and will finally be available for upgrading to
FC5. It's worth noting that the final few FC3 kernels seem to have caused
massive problems under load with random lockups and other nastys surfacing...
Comment 16 Dave Jones 2006-09-16 21:50:24 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 17 Dave Jones 2006-10-16 16:40:30 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 18 Sitsofe Wheeler 2007-02-24 12:07:36 EST
OK I finally had a chance to test this with FC6. At first the results were the
same (lockup when that module was loaded and USB2 was enabled in the BIOS).
However on a whim I decided to change the Plug and Play OS option in the BIOS
from No to Yes and this problem along with a lockup when using the s3virge video
driver disappeared.

Too weird.

Resolving NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.